
<%@ taglib uri="http://java.sun.com/jsp/jstl/sql" prefix="sql" %>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<sql:query var="o32resultset" dataSource="jdbc/o32opljdbc">
  select SupplierID, CompanyName, ContactName, ContactTitle from Suppliers
</sql:query>

<sql:query var="m32resultset" dataSource="jdbc/m32opljdbc">
  select SupplierID, CompanyName, ContactName, ContactTitle from Suppliers
</sql:query>

<html>
  <head>
    <title>OpenLink Test</title>
  </head>
  <body>

  <h1>OpenLink Test to SQL Server (Northwind) v1.0.8</h1>

  <h2>Multi-tier through odbc agent using opljdbc.jar</h2>

  <p><strong>SQL: </strong>select SupplierID, CompanyName, ContactName, ContactTitle from Suppliers</p>

  <table>
    <tr>
      <th>SupplierID</th>
      <th>CompanyName</th>
      <th>ContactName</th>
      <th>ContactTitle</th>
    </tr>

    <c:forEach var="row" items="${o32resultset.rows}">
      <tr>
        <td>${row.SupplierID}</td>
        <td>${row.CompanyName}</td>
        <td>${row.ContactName}</td>
        <td>${row.ContactTitle}</td>
      </tr>
    </c:forEach>

  </table>



  <h2>Multi-tier through sqlserver agent using opljdbc.jar</h2>

  <p><strong>SQL: </strong>select SupplierID, CompanyName, ContactName, ContactTitle from Suppliers</p>

  <table>
    <tr>
      <th>SupplierID</th>
      <th>CompanyName</th>
      <th>ContactName</th>
      <th>ContactTitle</th>
    </tr>

    <c:forEach var="row" items="${m32resultset.rows}">
      <tr>
        <td>${row.SupplierID}</td>
        <td>${row.CompanyName}</td>
        <td>${row.ContactName}</td>
        <td>${row.ContactTitle}</td>
      </tr>
    </c:forEach>

  </table>

  </body>
</html>

